summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArkadiusz Hiler <arkadiusz.hiler@intel.com>2017-06-19 12:59:02 +0300
committerArkadiusz Hiler <arkadiusz.hiler@intel.com>2017-06-19 13:36:35 +0300
commit2dce9ab2a4a716aa135f89f816813b229e6199c2 (patch)
tree6f28a08634dc837b8ca4bedd7498c8410eb3028f
parentdb54f9891f10bc90da26a6cbf198577f0ee99803 (diff)
tests: Cleanup after .sh -> .c conversion
.sh files with option parsing and other helpers are gone, as nothing were using them. Extended test list updates: * changed the already converted * maintained alphabetical ordering * igt@test_rte_check was removed from the list as it tested the sh library which is now gone Cc: Abdiel Janulgue <abdiel.janulgue@linux.intel.com> Cc: Petri Latvala <petri.latvala@intel.com> Signed-off-by: Arkadiusz Hiler <arkadiusz.hiler@intel.com> Reviewed-by: Petri Latvala <petri.latvala@intel.com>
-rw-r--r--tests/Makefile.sources2
-rwxr-xr-xtests/drm_getopt.sh38
-rwxr-xr-xtests/drm_lib.sh112
-rw-r--r--tests/intel-ci/extended.testlist9
4 files changed, 4 insertions, 157 deletions
diff --git a/tests/Makefile.sources b/tests/Makefile.sources
index 22271e75..5b98a5a3 100644
--- a/tests/Makefile.sources
+++ b/tests/Makefile.sources
@@ -269,8 +269,6 @@ HANG = \
scripts = \
ddx_intel_after_fbdev \
- drm_lib.sh \
- drm_getopt.sh \
$(NULL)
IMAGES = pass.png 1080p-left.png 1080p-right.png
diff --git a/tests/drm_getopt.sh b/tests/drm_getopt.sh
deleted file mode 100755
index a94a7594..00000000
--- a/tests/drm_getopt.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-# This is required for check/distcheck target as it has to --list-subtests
-# for each test. Source it if you add a new test in form of a (shell) script.
-
-# See tests/vgem_reload_basic
-
-IGT_EXIT_TIMEOUT=78
-IGT_EXIT_SKIP=77
-IGT_EXIT_SUCCESS=0
-IGT_EXIT_INVALID=79
-IGT_EXIT_FAILURE=99
-
-# hacked-up long option parsing
-for arg in $@ ; do
- case $arg in
- --list-subtests)
- exit $IGT_EXIT_INVALID
- ;;
- --run-subtest)
- exit $IGT_EXIT_INVALID
- ;;
- --debug)
- IGT_LOG_LEVEL=debug
- ;;
- --help-description)
- echo $IGT_TEST_DESCRIPTION
- exit $IGT_EXIT_SUCCESS
- ;;
- --help)
- echo "Usage: `basename $0` [OPTIONS]"
- echo " --list-subtests"
- echo " --run-subtest <pattern>"
- echo " --debug"
- echo " --help-description"
- echo " --help"
- exit $IGT_EXIT_SUCCESS
- ;;
- esac
-done
diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
deleted file mode 100755
index af104ad7..00000000
--- a/tests/drm_lib.sh
+++ /dev/null
@@ -1,112 +0,0 @@
-#!/bin/bash
-
-SOURCE_DIR="$( dirname "${BASH_SOURCE[0]}" )"
-. $SOURCE_DIR/drm_getopt.sh
-
-NAME=$(basename "$0")
-
-dynamic_debug=
-
-hda_dynamic_debug_enable() {
- if [ -e "$dynamic_debug" ]; then
- echo -n "module snd_hda_intel +pf" > $dynamic_debug
- echo -n "module snd_hda_core +pf" > $dynamic_debug
- fi
-}
-
-hda_dynamic_debug_disable() {
- if [ -e "$dynamic_debug" ]; then
- echo -n "module snd_hda_core =_" > $dynamic_debug
- echo -n "module snd_hda_intel =_" > $dynamic_debug
- fi
-}
-
-KERN_EMER="<0>"
-KERN_ALERT="<1>"
-KERN_CRIT="<2>"
-KERN_ERR="<3>"
-KERN_WARNING="<4>"
-KERN_NOTICE="<5>"
-KERN_INFO="<6>"
-KERN_DEBUG="<7>"
-
-kmsg() {
- echo "$@" > /dev/kmsg
-}
-
-finish() {
- exitcode=$?
- hda_dynamic_debug_disable
- kmsg "${KERN_INFO}[IGT] $NAME: exiting, ret=$exitcode"
- exit $exitcode
-}
-trap finish EXIT
-
-kmsg "${KERN_INFO}[IGT] $NAME: executing"
-
-skip() {
- echo "$@"
- exit $IGT_EXIT_SKIP
-}
-
-die() {
- echo "$@"
- exit $IGT_EXIT_FAILURE
-}
-
-do_or_die() {
- $@ > /dev/null 2>&1 || (echo "FAIL: $@ ($?)" && exit $IGT_EXIT_FAILURE)
-}
-
-if [ -d /sys/kernel/debug ]; then
- debugfs_path=/sys/kernel/debug
-elif [ -d /debug ]; then
- debugfs_path=/debug
-else
- skip "debugfs not found"
-fi
-
-dynamic_debug=$debugfs_path/dynamic_debug/control
-if [ ! -e "$dynamic_debug" ]; then
- echo "WARNING: dynamic debug control not available"
-fi
-
-if [ ! -d $debugfs_path/dri ]; then
- skip "dri debugfs not found"
-fi
-
-i915_dfs_path=x
-for minor in `seq 0 16`; do
- if [ -f $debugfs_path/dri/$minor/i915_error_state ] ; then
- i915_dfs_path=$debugfs_path/dri/$minor
- break
- fi
-done
-
-if [ $i915_dfs_path = "x" ] ; then
- skip " i915 debugfs path not found."
-fi
-
-# read everything we can
-if [ `cat $i915_dfs_path/clients | wc -l` -gt "2" ] ; then
- [ -n "$DRM_LIB_ALLOW_NO_MASTER" ] || \
- die "ERROR: other drm clients running"
-fi
-
-whoami | grep -q root || ( echo ERROR: not running as root; exit $IGT_EXIT_FAILURE )
-
-i915_sfs_path=
-if [ -d /sys/class/drm ] ; then
- sysfs_path=/sys/class/drm
- if [ -f $sysfs_path/card$minor/error ] ; then
- i915_sfs_path="$sysfs_path/card$minor"
- fi
-fi
-# sysfs may not exist as the 'error' is a new interface in 3.11
-
-function drmtest_skip_on_simulation()
-{
- [ -n "$INTEL_SIMULATION" ] && exit $IGT_EXIT_SKIP
-}
-
-drmtest_skip_on_simulation
diff --git a/tests/intel-ci/extended.testlist b/tests/intel-ci/extended.testlist
index a16c9c84..f96043bc 100644
--- a/tests/intel-ci/extended.testlist
+++ b/tests/intel-ci/extended.testlist
@@ -92,7 +92,8 @@ igt@pm_rpm@modeset-non-lpsp-stress
igt@pm_rpm@modeset-non-lpsp-stress-no-wait
igt@pm_rpm@modeset-pc8-residency-stress
igt@pm_rpm@modeset-stress-extra-wait
-igt@debugfs_emon_crash
+igt@debugfs_test@emon_crash
+igt@debugfs_test@read_all_entries
igt@drm_import_export@flink
igt@drm_import_export@import-close-race-flink
igt@drm_import_export@import-close-race-prime
@@ -101,7 +102,6 @@ igt@drm_vma_limiter
igt@drm_vma_limiter_cached
igt@drm_vma_limiter_cpu
igt@drm_vma_limiter_gtt
-igt@drv_debugfs_reader
igt@drv_missed_irq
igt@drv_suspend@debugfs-reader
igt@drv_suspend@fence-restore-tiled2untiled
@@ -1143,9 +1143,8 @@ igt@sw_sync@sync_multi_timeline_wait
igt@sw_sync@sync_random_merge
igt@sw_sync@timeline_closed
igt@sw_sync@timeline_closed_signaled
-igt@sysfs_l3_parity
-igt@test_rte_check
-igt@tools_test
+igt@tools_test@sysfs_l3_parity
+igt@tools_test@tools_test
igt@vgem_slow@nohang
# Placed last, used to cause issues to subsequent tests
igt@gem_bad_length